# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
BuildRequires: libnumpy-devel
%define oldname python-biopython
%define fedora 19
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:             python-module-biopython
Version:          1.60
Release:          alt1_2
Summary:          Python tools for computational molecular biology
Source0:          http://biopython.org/DIST/biopython-%{version}.tar.gz
License:          MIT
Url:              http://www.biopython.org/
Group:            Development/Python
BuildRequires:    python-devel
BuildRequires:    flex
BuildRequires:    python-module-Reportlab
BuildRequires: python-module-numpy python-module-numpy-addons python-module-numpy-testing
BuildRequires:    python-module-MySQLdb
BuildRequires:    python-module-psycopg2
Requires:         wise
Source44: import.info

%description
A set of freely available Python tools for computational molecular
biology.

%prep
%setup -q -n biopython-%{version}

# remove all execute bits from documentation and fix line endings
find Scripts -type f -exec chmod -x {} 2>/dev/null ';'
find Doc -type f -exec chmod -x {} 2>/dev/null ';'
find Doc -type f -exec sed -i 's/\r//' {} 2>/dev/null ';'

# remove execute bits from Python modules
find Bio -type f -exec chmod -x {} 2>/dev/null ';'
# remove she-bang lines in .py files to keep rpmlint happy
find Bio -type f -name "*.py" -exec sed -i '/^#![ ]*\/usr\/bin\/.*$/ d' {} 2>/dev/null ';'

%build
env CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT --install-data=%{_datadir}/python-biopython

## disable tests for the moment
%check
%{?_with_check:%{__python} setup.py test --no-gui || :}

%files
%doc Doc Scripts
%doc CONTRIB DEPRECATED LICENSE NEWS README
%if 0%{?fedora} >= 9
%{python_sitelibdir}/*egg-info
%endif
%dir %{python_sitelibdir}/Bio
%{python_sitelibdir}/Bio/*
%dir %{python_sitelibdir}/BioSQL
%{python_sitelibdir}/BioSQL/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.60-alt1_2
- update to new release by fcimport

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.60-alt1_1
- initial fc import

